PCI Tokens
Refresh security code
Request a refresh of the security code for the token.
POST
/
api
/
pci
/
tokens
/
{id}
/
security-code
Refresh security code
curl --request POST \
--url https://{instance}.{env}.on-hellgate.cloud/api/pci/tokens/{id}/security-code \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/pci/tokens/{id}/security-code"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/pci/tokens/{id}/security-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "0f2c8f7e-4d2a-4d1b-9a6e-1c9b2d3e4f50"
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
bearerAuthAPIKey
JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.
Path Parameters
The ID of the token to check.
Response
Success response
Example:
"0f2c8f7e-4d2a-4d1b-9a6e-1c9b2d3e4f50"
⌘I
Refresh security code
